class cChannel;
class cRecordControl;

class iPidQuery
{
public:
  virtual ~iPidQuery() {};
  virtual int GetPidByChannel( int DevNr, const cChannel* Channel, int Language ) = 0;
};
class cDvbSubtitlesRecording
{
public:
  cDvbSubtitlesRecording();
  void Subscribe(iPidQuery* listener);
private:
  friend class cRecordControl;
  friend class cLiveRecorder;
  int GetPidByChannel( int DevNr, const cChannel* Channel, int Language );
  iPidQuery* query;
};

extern cDvbSubtitlesRecording DvbSubtitlesRecording;

